import { jsx as e } from "../../../../../../../external/.pnpm/preact@10.28.2/node_modules/preact/jsx-runtime/dist/jsxRuntime.module.js";
import n from "../../../../../../internal/Typography/Typography.js";
import { TypographyVariant as a } from "../../../../../../internal/Typography/types.js";
import { THEME_FORM_ALLOWED_FILE_TYPES as l, logoOptions as o, THEME_FORM_UPLOAD_DOCUMENT_MAX_SIZE as p } from "../ThemeForm/constants.js";
import { getHumanReadableFileName as s } from "../../../../../../../utils/file/naming.js";
import f from "../../../../../../../core/Context/preact/useCoreContext.js";
import { getHumanReadableFileSize as _ } from "../../../../../../../utils/file/size.js";
const y = (t) => {
  switch (t) {
    case o.FULL_WIDTH_LOGO:
      return "300 x 30 px";
    case o.LOGO:
    default:
      return "200 x 200 px";
  }
}, x = ({ logoType: t }) => {
  const { i18n: i } = f(), m = y(t);
  return /* @__PURE__ */ e("div", { className: "adyen-pe-payment-link-theme-form__file-info-container", children: [
    /* @__PURE__ */ e(n, { variant: a.BODY, className: "adyen-pe-payment-link-theme-form__file-info", children: [
      i.get("payByLink.settings.theme.limitations.file.input.supportedFile.text"),
      l.map((r) => s(r)).join(", ")
    ] }),
    /* @__PURE__ */ e(n, { variant: a.BODY, className: "adyen-pe-payment-link-theme-form__file-info", children: [
      i.get("payByLink.settings.theme.limitations.file.input.maxSize.text"),
      _(p)
    ] }),
    /* @__PURE__ */ e(n, { variant: a.BODY, className: "adyen-pe-payment-link-theme-form__file-info", children: [
      i.get("payByLink.settings.theme.limitations.file.input.imageSize.text"),
      m
    ] })
  ] });
};
export {
  x as default
};
